---
title: Bir Dosya Yüklemesi Oluştur | RunAPI
description: Tek bir yerel dosyayı, uzak HTTPS URL'sini veya base64 kaynağını yükleyin
  ve geçici bir URL alın.
url: https://runapi.ai/tr/docs/api/files/create.md
canonical: https://runapi.ai/tr/docs/api/files/create
locale: tr
---

> HTML sürümü: https://runapi.ai/tr/docs/api/files/create
> Ajanlar için site dizini: https://runapi.ai/llms.txt

# Bir Dosya Yüklemesi Oluştur

Tek bir yerel dosyayı, uzak HTTPS URL'sini veya base64 kaynağını yükleyin ve geçici bir URL alın.

## Uç Nokta

POST /api/v1/files

Temel URL: https://runapi.ai

API sürümü: v1

Kimlik doğrulama: Authorization: Bearer YOUR_API_KEY

## İstek

Değerleri yalnızca listelenen istek konumunda gönderin.

### application/json - Base64 source

```json
{
  "file_name": {
    "description": "Oluşturulan Dosya Yüklemesi için isteğe bağlı dosya adı.",
    "required": false,
    "type": "string"
  },
  "source": {
    "description": "Base64 kodlu kaynak baytları.",
    "properties": {
      "data": {
        "description": "Base64 verisi",
        "required": true,
        "type": "string"
      },
      "type": {
        "description": "base64 kaynak gösterimini seçer.",
        "required": true,
        "type": "string"
      }
    },
    "required": true,
    "type": "object"
  }
}
```

### application/json - URL source

```json
{
  "file_name": {
    "description": "Oluşturulan Dosya Yüklemesi için isteğe bağlı dosya adı.",
    "required": false,
    "type": "string"
  },
  "source": {
    "description": "İndirilecek uzak HTTPS kaynağı.",
    "properties": {
      "type": {
        "description": "URL kaynak gösterimini seçer.",
        "required": true,
        "type": "string"
      },
      "url": {
        "description": "İndirilecek genel HTTPS URL'si.",
        "format": "uri",
        "required": true,
        "type": "string"
      }
    },
    "required": true,
    "type": "object"
  }
}
```

### multipart/form-data

```json
{
  "file": {
    "description": "Yüklenecek yerel dosya baytları.",
    "format": "binary",
    "required": true,
    "type": "string"
  },
  "file_name": {
    "description": "Oluşturulan Dosya Yüklemesi için isteğe bağlı dosya adı.",
    "required": false,
    "type": "string"
  }
}
```

## Başarılı yanıt

HTTP 201 - POST /api/v1/files

```json
{
  "created_at": "2026-07-27T10:00:00.000Z",
  "expires_at": "2026-07-27T11:00:00.000Z",
  "file_name": "mask.png",
  "mime_type": "image/png",
  "size_bytes": 204800,
  "url": "https://file.runapi.ai/temp/user-uploads/mask.png"
}
```

## Hata yanıtı (401)

HTTP 401

### Yanıt şeması

```json
{
  "properties": {
    "error": {
      "description": "İnsan tarafından okunabilir hata mesajı.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Yanıt örneği

```json
{
  "error": "Authentication required"
}
```

## Hata yanıtı (403)

HTTP 403

### Yanıt şeması

```json
{
  "properties": {
    "error": {
      "description": "İnsan tarafından okunabilir hata mesajı.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Yanıt örneği

```json
{
  "error": "Standard API key required"
}
```

## Hata yanıtı (400)

HTTP 400

### Yanıt şeması

```json
{
  "properties": {
    "error": {
      "description": "İnsan tarafından okunabilir hata mesajı.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Yanıt örneği

```json
{
  "error": "Only HTTPS URLs are allowed"
}
```

## Hata yanıtı (408)

HTTP 408

### Yanıt şeması

```json
{
  "properties": {
    "error": {
      "description": "İnsan tarafından okunabilir hata mesajı.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Yanıt örneği

```json
{
  "error": "Download timeout"
}
```

## Hata yanıtı (413)

HTTP 413

### Yanıt şeması

```json
{
  "properties": {
    "error": {
      "description": "İnsan tarafından okunabilir hata mesajı.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Yanıt örneği

```json
{
  "error": "File size exceeds the maximum allowed size"
}
```

## Hata yanıtı (415)

HTTP 415

### Yanıt şeması

```json
{
  "properties": {
    "error": {
      "description": "İnsan tarafından okunabilir hata mesajı.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Yanıt örneği

```json
{
  "error": "This content type is not supported"
}
```

## Hata yanıtı (422)

HTTP 422

### Yanıt şeması

```json
{
  "properties": {
    "error": {
      "description": "İnsan tarafından okunabilir hata mesajı.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Yanıt örneği

```json
{
  "error": "File upload failed. Please try again."
}
```

## Hata yanıtı (429)

HTTP 429

### Yanıt şeması

```json
{
  "properties": {
    "error": {
      "description": "İnsan tarafından okunabilir hata mesajı.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### Yanıt örneği

```json
{
  "error": "Too many file uploads for this account. Please retry later."
}
```

## cURL örneği



### curl

```curl
curl -X POST https://runapi.ai/api/v1/files \
  -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '{"source":{"type":"url","url":"https://cdn.runapi.ai/public/samples/mask.png"},"file_name":"mask.png"}'
```

## İlgili başvuru

- [Dosyalar](https://runapi.ai/tr/docs/api/files.md)
- [Dosya Yükleme nesnesi](https://runapi.ai/tr/docs/api/files/object.md)

---

## RunAPI hakkında daha fazlası

- [Ana sayfa](https://runapi.ai/tr/.md)
- [Model Kataloğu](https://runapi.ai/tr/models.md)
- [Fiyatlandırma](https://runapi.ai/tr/pricing.md)
- [Sağlayıcılar](https://runapi.ai/tr/models)
- [Dokümantasyon](https://runapi.ai/tr/docs/guides)
- [SDK'lar](https://runapi.ai/tr/sdk.md)
- [CLI](https://runapi.ai/tr/cli.md)
- [MCP Sunucusu](https://runapi.ai/tr/mcp.md)
- [Claude Code ve Cursor](https://runapi.ai/tr/claude-code-vs-cursor.md)
- [Cursor API kurulumu](https://runapi.ai/tr/cursor-api-setup.md)
- [RunAPI ve OpenRouter](https://runapi.ai/tr/openrouter-alternative.md)
- [Kurumsal](https://runapi.ai/tr/contact.md)
- [İletişim](https://runapi.ai/tr/contact.md)
- [Şartlar](https://runapi.ai/tr/terms.md)
- [Gizlilik](https://runapi.ai/tr/privacy.md)
- [Ajanlar için site dizini](https://runapi.ai/llms.txt)

İletişim: contact@runapi.ai

## Yapılandırılmış veriler

```json
[
  {
    "@context": "https://schema.org",
    "inLanguage": "tr",
    "@type": "WebSite",
    "name": "RunAPI",
    "url": "https://runapi.ai/tr",
    "potentialAction": {
      "@type": "SearchAction",
      "target": {
        "@type": "EntryPoint",
        "urlTemplate": "https://runapi.ai/tr/models?q={search_term_string}"
      },
      "query-input": "required name=search_term_string"
    }
  },
  {
    "@context": "https://schema.org",
    "inLanguage": "tr",
    "@type": "Organization",
    "name": "RunAPI",
    "url": "https://runapi.ai/tr",
    "logo": {
      "@type": "ImageObject",
      "url": "https://runapi.ai/tricon.svg"
    },
    "sameAs": [
      "https://github.com/runapi-ai"
    ]
  },
  {
    "@context": "https://schema.org",
    "inLanguage": "tr",
    "@type": "TechArticle",
    "headline": "Bir Dosya Yüklemesi Oluştur",
    "description": "Tek bir yerel dosyayı, uzak HTTPS URL'sini veya base64 kaynağını yükleyin ve geçici bir URL alın.",
    "url": "https://runapi.ai/tr/docs/api/files/create",
    "mainEntityOfPage": "https://runapi.ai/tr/docs/api/files/create"
  }
]
```
